### Method

# Gio Socket is_connected

since: 2.22

#### Declaration

    gboolean
    g_socket_is_connected (
      GSocket* socket
    )

#### Description

Check whether the socket is connected. This is only useful for connection-oriented sockets.

If using g_socket_shutdown(), this function will return `TRUE` until the socket has been shut down for reading and writing. If you do a non-blocking connect, this function will not return `TRUE` until after you call g_socket_check_connect_result().

Available since: 2.22

#### Return value

Type: `gboolean`

`TRUE` if socket is connected, `FALSE` otherwise.